#!/bin/bash
 
#jpgraph component sanity check

function zipit() {
	:
}

#~ Include general library (should go in all sanity scripts.)
if [ ! -f /usr/local/nagiosxi/html/includes/components/sanitychecks/sanitylib.sh ];then
    echo "Sanity Checks Component not installed"
    exit 1
else 
    . /usr/local/nagiosxi/html/includes/components/sanitychecks/sanitylib.sh
fi

do_these_files_exist $COMPONENTS/jpgraph/jpgraph.inc.php \
	$COMPONENTS/jpgraph/src/flag_mapping \
	$COMPONENTS/jpgraph/src/flags.dat \
	$COMPONENTS/jpgraph/src/flags_thumb100x100.dat \
	$COMPONENTS/jpgraph/src/flags_thumb35x35.dat \
	$COMPONENTS/jpgraph/src/flags_thumb60x60.dat \
	$COMPONENTS/jpgraph/src/gd_image.inc.php \
	$COMPONENTS/jpgraph/src/imageSmoothArc.php \
	$COMPONENTS/jpgraph/src/imgdata_balls.inc.php \
	$COMPONENTS/jpgraph/src/imgdata_bevels.inc.php \
	$COMPONENTS/jpgraph/src/imgdata_diamonds.inc.php \
	$COMPONENTS/jpgraph/src/imgdata_pushpins.inc.php \
	$COMPONENTS/jpgraph/src/imgdata_squares.inc.php \
	$COMPONENTS/jpgraph/src/imgdata_stars.inc.php \
	$COMPONENTS/jpgraph/src/jpg-config.inc.php \
	$COMPONENTS/jpgraph/src/jpgraph_antispam-digits.php \
	$COMPONENTS/jpgraph/src/jpgraph_antispam.php \
	$COMPONENTS/jpgraph/src/jpgraph_bar.php \
	$COMPONENTS/jpgraph/src/jpgraph_canvas.php \
	$COMPONENTS/jpgraph/src/jpgraph_canvtools.php \
	$COMPONENTS/jpgraph/src/jpgraph_contour.php \
	$COMPONENTS/jpgraph/src/jpgraph_date.php \
	$COMPONENTS/jpgraph/src/jpgraph_errhandler.inc.php \
	$COMPONENTS/jpgraph/src/jpgraph_error.php \
	$COMPONENTS/jpgraph/src/jpgraph_flags.php \
	$COMPONENTS/jpgraph/src/jpgraph_gantt.php \
	$COMPONENTS/jpgraph/src/jpgraph_gb2312.php \
	$COMPONENTS/jpgraph/src/jpgraph_gradient.php \
	$COMPONENTS/jpgraph/src/jpgraph_iconplot.php \
	$COMPONENTS/jpgraph/src/jpgraph_imgtrans.php \
	$COMPONENTS/jpgraph/src/jpgraph_led.php \
	$COMPONENTS/jpgraph/src/jpgraph_legend.inc.php \
	$COMPONENTS/jpgraph/src/jpgraph_line.php \
	$COMPONENTS/jpgraph/src/jpgraph_log.php \
	$COMPONENTS/jpgraph/src/jpgraph_meshinterpolate.inc.php \
	$COMPONENTS/jpgraph/src/jpgraph_mgraph.php \
	$COMPONENTS/jpgraph/src/jpgraph_odo.php \
	$COMPONENTS/jpgraph/src/jpgraph.php \
	$COMPONENTS/jpgraph/src/jpgraph_pie3d.php \
	$COMPONENTS/jpgraph/src/jpgraph_pie.php \
	$COMPONENTS/jpgraph/src/jpgraph_plotband.php \
	$COMPONENTS/jpgraph/src/jpgraph_plotline.php \
	$COMPONENTS/jpgraph/src/jpgraph_plotmark.inc.php \
	$COMPONENTS/jpgraph/src/jpgraph_polar.php \
	$COMPONENTS/jpgraph/src/jpgraph_radar.php \
	$COMPONENTS/jpgraph/src/jpgraph_regstat.php \
	$COMPONENTS/jpgraph/src/jpgraph_rgb.inc.php \
	$COMPONENTS/jpgraph/src/jpgraph_scatter.php \
	$COMPONENTS/jpgraph/src/jpgraph_stock.php \
	$COMPONENTS/jpgraph/src/jpgraph_table.php \
	$COMPONENTS/jpgraph/src/jpgraph_text.inc.php \
	$COMPONENTS/jpgraph/src/jpgraph_theme.inc.php \
	$COMPONENTS/jpgraph/src/jpgraph_ttf.inc.php \
	$COMPONENTS/jpgraph/src/jpgraph_utils.inc.php \
	$COMPONENTS/jpgraph/src/jpgraph_windrose.php \
	$COMPONENTS/jpgraph/src/fonts/DejaVuSans-BoldOblique.ttf \
	$COMPONENTS/jpgraph/src/fonts/DejaVuSans-Bold.ttf \
	$COMPONENTS/jpgraph/src/fonts/DejaVuSans-Oblique.ttf \
	$COMPONENTS/jpgraph/src/fonts/DejaVuSans.ttf \
	$COMPONENTS/jpgraph/src/fonts/FF_FONT0-Bold.gdf \
	$COMPONENTS/jpgraph/src/fonts/FF_FONT0.gdf \
	$COMPONENTS/jpgraph/src/fonts/FF_FONT1-Bold.gdf \
	$COMPONENTS/jpgraph/src/fonts/FF_FONT1.gdf \
	$COMPONENTS/jpgraph/src/fonts/FF_FONT2-Bold.gdf \
	$COMPONENTS/jpgraph/src/fonts/FF_FONT2.gdf \
	$COMPONENTS/jpgraph/src/lang/de.inc.php \
	$COMPONENTS/jpgraph/src/lang/en.inc.php \
	$COMPONENTS/jpgraph/src/lang/prod.inc.php \
	$COMPONENTS/jpgraph/src/themes/AquaTheme.class.php \
	$COMPONENTS/jpgraph/src/themes/GreenTheme.class.php \
	$COMPONENTS/jpgraph/src/themes/OceanTheme.class.php \
	$COMPONENTS/jpgraph/src/themes/OrangeTheme.class.php \
	$COMPONENTS/jpgraph/src/themes/PastelTheme.class.php \
	$COMPONENTS/jpgraph/src/themes/RoseTheme.class.php \
	$COMPONENTS/jpgraph/src/themes/SoftyTheme.class.php \
	$COMPONENTS/jpgraph/src/themes/UniversalTheme.class.php \
	$COMPONENTS/jpgraph/src/themes/VividTheme.class.php

is_component $COMPONENTS/jpgraph/jpgraph.inc.php 

print_results
